Closed Bug 955280 Opened 6 years ago Closed 6 years ago

The channel password shouldn't be displayed each time I join a password protected channel

Categories

(Chat Core :: IRC, defect)

defect
Not set

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: florian, Assigned: clokep)

Details

Attachments

(1 file)

*** Original post on bio 1847 at 2012-12-05 18:46:00 UTC ***

I'm surprised to see this system message each time I join a password protected channel on moznet:
11:38:05 - gravel.mozilla.org changed the channel password to <plain text password>.

I think the correct behavior would be either to not display that system message at all when the password hasn't changed, or to display instead "This channel is protected by a password." in the system message when the password matches what the user has specified.
Attached patch PatchSplinter Review
*** Original post on bio 1847 as attmnt 2189 at 2013-01-16 01:08:00 UTC ***

This does not display the message if the password is changed to the currently saved password.
Attachment #8353952 - Flags: review?(florian)
Assignee: nobody → clokep
Status: NEW → ASSIGNED
Comment on attachment 8353952 [details] [diff] [review]
Patch

*** Original change on bio 1847 attmnt 2189 at 2013-01-17 12:39:52 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353952 - Flags: review?(florian) → review+
OS: Other → All
Hardware: x86 → All
Whiteboard: [checkin-needed]
*** Original post on bio 1847 at 2013-01-18 23:13:17 UTC ***

http://hg.instantbird.org/instantbird/rev/79be4c5e8031
Status: ASSIGNED → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.4
You need to log in before you can comment on or make changes to this bug.